void demo2() {
   //connect the ROOT file demo1.root in readonly mode
   TFile *f = new TFile("demo1.root");
   
   //Read hit2
   PSimHit *hit = (PSimHit*)f->Get("hit2");
   
   //print some hit members
   cout <<" X1= "<<hit->entryPoint().x()
        <<" Y2= "<<hit->exitPoint().y()
        <<" pabs= "<<hit->pabs()<<endl;
   delete hit;
      
   //Open the ROOT browser and inspect the file
   new TBrowser;
   
   //click on "ROOT files", then "demo1.root",
   //with the right button, select menu items "Inspect", "DrawClass"
   //on hit2
}
// Note that when exiting from this macro, the file and the browser
// are still active. In command mode, you can try the following:
//   root > gFile->ls();
//   root > gFile->ShowStreamerInfo();
//   root > gFile->Map();
